<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>IgnoredErrorType (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IgnoredErrorType (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/IgnoredErrorType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/IndexedColors.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/IgnoredErrorType.html"
               target="_top">Frames</a></li>
        <li><a href="IgnoredErrorType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel</div>
    <h2 title="Enum IgnoredErrorType" class="title">Enum IgnoredErrorType</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>java.lang.Enum&lt;<a href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                         title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a>&gt;
                </li>
                <li>
                    <ul class="inheritance">
                        <li>org.apache.poi.ss.usermodel.IgnoredErrorType</li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Serializable, java.lang.Comparable&lt;<a
                            href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                            title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public enum <span class="typeNameLabel">IgnoredErrorType</span>
extends java.lang.Enum&lt;<a href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                             title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a>&gt;</pre>
                <div class="block">Types of ignored workbook and worksheet error.

                    TODO Implement these for HSSF too, using FeatFormulaErr2,
                    see bugzilla bug #46136 for details
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== ENUM CONSTANT SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.summary">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Enum Constant Summary table, listing enum constants, and an explanation">
                            <caption><span>Enum Constants</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Enum Constant and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html#CALCULATED_COLUMN">CALCULATED_COLUMN</a></span></code>
                                    <div class="block">????.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html#EMPTY_CELL_REFERENCE">EMPTY_CELL_REFERENCE</a></span></code>
                                    <div class="block">Whether to check for references to empty cells.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html#EVALUATION_ERROR">EVALUATION_ERROR</a></span></code>
                                    <div class="block">Whether to check for calculation/evaluation errors.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html#FORMULA">FORMULA</a></span></code>
                                    <div class="block">Whether to check formulas in the range of the shared feature
                                        that are inconsistent with formulas in neighbouring cells.
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html#FORMULA_RANGE">FORMULA_RANGE</a></span></code>
                                    <div class="block">Whether to check formulas in the range of the shared feature
                                        with references to less than the entirety of a range containing
                                        continuous data.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html#LIST_DATA_VALIDATION">LIST_DATA_VALIDATION</a></span></code>
                                    <div class="block">????.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html#NUMBER_STORED_AS_TEXT">NUMBER_STORED_AS_TEXT</a></span></code>
                                    <div class="block">Whether to check the format of string values and warn
                                        if they look to actually be numeric values.
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html#TWO_DIGIT_TEXT_YEAR">TWO_DIGIT_TEXT_YEAR</a></span></code>
                                    <div class="block">????.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html#UNLOCKED_FORMULA">UNLOCKED_FORMULA</a></span></code>
                                    <div class="block">Whether to check for unprotected formulas.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                    <div class="block">Returns the enum constant of this type with the specified name.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html#values--">values</a></span>()</code>
                                    <div class="block">Returns an array containing the constants of this enum type, in
                                        the order they are declared.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Enum">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Enum</h3>
                                <code>clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal,
                                    toString, valueOf</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>getClass, notify, notifyAll, wait, wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ ENUM CONSTANT DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="enum.constant.detail">
                        <!--   -->
                    </a>
                        <h3>Enum Constant Detail</h3>
                        <a name="CALCULATED_COLUMN">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>CALCULATED_COLUMN</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a> CALCULATED_COLUMN</pre>
                                <div class="block">????. Probably XSSF-only.</div>
                            </li>
                        </ul>
                        <a name="EMPTY_CELL_REFERENCE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EMPTY_CELL_REFERENCE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a> EMPTY_CELL_REFERENCE</pre>
                                <div class="block">Whether to check for references to empty cells.
                                    HSSF + XSSF.
                                </div>
                            </li>
                        </ul>
                        <a name="EVALUATION_ERROR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>EVALUATION_ERROR</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a> EVALUATION_ERROR</pre>
                                <div class="block">Whether to check for calculation/evaluation errors.
                                    HSSF + XSSF.
                                </div>
                            </li>
                        </ul>
                        <a name="FORMULA">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FORMULA</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a> FORMULA</pre>
                                <div class="block">Whether to check formulas in the range of the shared feature
                                    that are inconsistent with formulas in neighbouring cells.
                                    HSSF + XSSF.
                                </div>
                            </li>
                        </ul>
                        <a name="FORMULA_RANGE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FORMULA_RANGE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a> FORMULA_RANGE</pre>
                                <div class="block">Whether to check formulas in the range of the shared feature
                                    with references to less than the entirety of a range containing
                                    continuous data.
                                    HSSF + XSSF.
                                </div>
                            </li>
                        </ul>
                        <a name="LIST_DATA_VALIDATION">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LIST_DATA_VALIDATION</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a> LIST_DATA_VALIDATION</pre>
                                <div class="block">????. Is this XSSF-specific the same as performDataValidation
                                    in HSSF?
                                </div>
                            </li>
                        </ul>
                        <a name="NUMBER_STORED_AS_TEXT">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NUMBER_STORED_AS_TEXT</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a> NUMBER_STORED_AS_TEXT</pre>
                                <div class="block">Whether to check the format of string values and warn
                                    if they look to actually be numeric values.
                                    HSSF + XSSF.
                                </div>
                            </li>
                        </ul>
                        <a name="TWO_DIGIT_TEXT_YEAR">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>TWO_DIGIT_TEXT_YEAR</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a> TWO_DIGIT_TEXT_YEAR</pre>
                                <div class="block">????. Is this XSSF-specific the same as checkDateTimeFormats
                                    in HSSF?
                                </div>
                            </li>
                        </ul>
                        <a name="UNLOCKED_FORMULA">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>UNLOCKED_FORMULA</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a> UNLOCKED_FORMULA</pre>
                                <div class="block">Whether to check for unprotected formulas.
                                    HSSF + XSSF.
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="values--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>values</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a>[]&nbsp;values()</pre>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared. This method may be used to iterate
                                    over the constants as follows:
                                    <pre>
for (IgnoredErrorType c : IgnoredErrorType.values())
&nbsp;   System.out.println(c);
</pre>
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an array containing the constants of this enum type, in the order they are
                                        declared
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="valueOf-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>valueOf</h4>
                                <pre>public static&nbsp;<a
                                        href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                        title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a>&nbsp;valueOf(java.lang.String&nbsp;name)</pre>
                                <div class="block">Returns the enum constant of this type with the specified name.
                                    The string must match <i>exactly</i> an identifier used to declare an
                                    enum constant in this type. (Extraneous whitespace characters are
                                    not permitted.)
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>name</code> - the name of the enum constant to be returned.</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the enum constant with the specified name</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.IllegalArgumentException</code> - if this enum type has no
                                        constant with the specified name
                                    </dd>
                                    <dd><code>java.lang.NullPointerException</code> - if the argument is null</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/IgnoredErrorType.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/IndexedColors.html"
               title="enum in org.apache.poi.ss.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/IgnoredErrorType.html"
               target="_top">Frames</a></li>
        <li><a href="IgnoredErrorType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#enum.constant.summary">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#enum.constant.detail">Enum Constants</a>&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
